GDBus.Error


4 posts
by HSObsession » Mon Oct 14, 2013 12:59 pm
Hey,

When I turn on my raspberry, I get this error message:
GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: An authentication agent already exists for the given subject


After a I did a small search about it, it turned out that it happens because there is more than one "PolicyKit" package installed, and I should only keep one.

I used the following command to list the available "PolicyKit" packages:
Code: Select all
[b]dpkg --get-selections | grep polkit[/b]
libpolkit-agent-1-0:armhf         install
libpolkit-backend-1-0:armhf         install
libpolkit-gobject-1-0:armhf         install
lxpolkit               install


Which one should I keep?
Posts: 1
Joined: Mon Oct 14, 2013 12:48 pm
by DougZA » Thu Jan 01, 2015 11:00 am
My solution to the problem was to edit the file /etc/xdg/autostart/lxpolkit.desktop by adding the text 'LXDE' to the line 'NotShownIn' thus:

Code: Select all
NotShowIn=GNOME;KDE;LXDE


The lx policy kit still runs, it just doesn't report errors ...
Posts: 1
Joined: Wed Dec 31, 2014 11:58 pm
by ipeuser123 » Tue Apr 07, 2015 1:21 pm
This method doesn't work for me as it the command tells me 'access denied', so I don't know how else to get rid of this error message and without getting rid of it I cant use anything on the desktop.
Posts: 1
Joined: Tue Apr 07, 2015 1:19 pm
by DirkS » Tue Apr 07, 2015 2:43 pm
ipeuser123 wrote:This method doesn't work for me as it the command tells me 'access denied', so I don't know how else to get rid of this error message and without getting rid of it I cant use anything on the desktop.

Try editing it with
Code: Select all
sudo nano /etc/xdg/autostart/lxpolkit.desktop
from a terminal window.
Posts: 6390
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK